## r-cran-v8 1.5

=== DESCRIPTION ===
Package: V8
Type: Package
Title: Embedded JavaScript Engine for R
Version: 1.5
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Description: An R interface to Google's open source JavaScript engine.
    V8 is written in C++ and implements ECMAScript as specified in ECMA-262,
    5th edition. In addition, this package implements typed arrays as
    specified in ECMA 6 used for high-performance computing and libraries
    compiled with 'emscripten'.
License: MIT + file LICENSE
URL: https://github.com/jeroen/v8,
        https://developers.google.com/v8/intro
BugReports: https://github.com/jeroen/v8/issues
SystemRequirements: V8 <= 3.15: libv8-3.14-dev (deb), v8-314-devel
        (rpm), v8-3.14 (arch), v8@3.15 (homebrew)
NeedsCompilation: yes
VignetteBuilder: knitr
Imports: Rcpp (>= 0.12), jsonlite (>= 1.0), curl (>= 1.0), utils
LinkingTo: Rcpp
Suggests: testthat, knitr, rmarkdown
RoxygenNote: 6.0.1
Packaged: 2017-04-24 21:39:44 UTC; jeroen
Repository: CRAN
Date/Publication: 2017-04-25 06:11:13 UTC

## r-cran-v8 1.3

=== debian/changelog ===
r-cran-v8 (1.3-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 08:18:27 +0000

r-cran-v8 (1.3-1) unstable; urgency=medium

  * Initial release (closes: #858441)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 21 Mar 2017 12:17:40 +0100

=== debian/control ===
Source: r-cran-v8
Section: gnu-r
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 10), dh-r, r-base-dev, r-cran-rcpp (>= 0.12), r-cran-jsonlite (>= 1.0), r-cran-curl (>=1.0), libv8-3.14-dev
Standards-Version: 3.9.8
Homepage: https://cran.r-project.org/package=V8
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/r-cran-v8.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-v8.git

Package: r-cran-v8
Architecture: any
Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}, libjs-underscore
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Embedded JavaScript Engine for R
 An R interface to Google's open source JavaScript engine.
 V8 is written in C++ and implements ECMAScript as specified in ECMA-262,
 5th edition. In addition, this package implements typed arrays as
 specified in ECMA 6 used for high-performance computing and libraries
 compiled with 'emscripten'.

## r-cran-v8 1.5

=== debian/changelog ===
r-cran-v8 (1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * cme fix dpkg-control
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Wed, 25 Oct 2017 09:28:11 +0200

=== debian/control ===
Source: r-cran-v8
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.12),
               r-cran-jsonlite,
               r-cran-curl,
               libv8-3.14-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/r-cran-v8.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-v8.git
Homepage: https://cran.r-project.org/package=V8

Package: r-cran-v8
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libjs-underscore
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Embedded JavaScript Engine for R
 An R interface to Google's open source JavaScript engine.
 V8 is written in C++ and implements ECMAScript as specified in ECMA-262,
 5th edition. In addition, this package implements typed arrays as
 specified in ECMA 6 used for high-performance computing and libraries
 compiled with 'emscripten'.

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-knitr
Restrictions: allow-stderr

Tests: run-unit-test
Depends: @, r-cran-testthat,
Restrictions: allow-stderr

Tests: generic
Depends: @, r-cran-testthat,
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/V8_([-\d.]*)\.tar\.gz

## r-cran-v8 2.0%2Bdfsg

=== debian/changelog ===
r-cran-v8 (2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Switch Build-Dep from libv8-dev to libnode-dev.
  * Update d/copyright.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 07 Feb 2019 07:43:35 +0100

r-cran-v8 (1.5-3) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Use latest branch of libv8-dev

  [ Dylan Aïssi ]
  * Add Testsuite: autopkgtest-pkg-r
  * Fix autopkgtest.
  * Standards-Version: 4.3.0
  * debhelper 12

 -- Dylan Aïssi <daissi@debian.org>  Sun, 03 Feb 2019 13:46:40 +0100

r-cran-v8 (1.5-2) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 17:34:03 +0200

## r-cran-v8 2.0+dfsg

=== DESCRIPTION ===
Package: V8
Type: Package
Title: Embedded JavaScript Engine for R
Version: 2.0
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Description: An R interface to Google's open source JavaScript engine. This 
    package can now be compiled either with V8 version 6 (LTS) from nodejs
    or with the legacy 3.14/3.15 version of V8.
License: MIT + file LICENSE
URL: https://github.com/jeroen/v8 (devel)
        https://developers.google.com/v8/intro (upstream)
BugReports: https://github.com/jeroen/v8/issues
SystemRequirements: V8 version 6 or 7 is recommended, but 3.14 (legacy)
        is still supported as well. On Debian / Ubuntu you need either
        libv8-dev or libnode-dev, on Fedora use v8-devel.
NeedsCompilation: yes
VignetteBuilder: knitr
Imports: Rcpp (>= 0.12.12), jsonlite (>= 1.0), curl (>= 1.0), utils
LinkingTo: Rcpp
Suggests: testthat, knitr, rmarkdown
RoxygenNote: 6.1.1
Language: en-US
Packaged: 2019-02-07 02:18:16 UTC; jeroen
Repository: CRAN
Date/Publication: 2019-02-07 05:53:32 UTC

=== debian/control ===
Source: r-cran-v8
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.12.12),
               r-cran-jsonlite,
               r-cran-curl,
               libnode-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-v8
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-v8.git
Homepage: https://cran.r-project.org/package=V8

Package: r-cran-v8
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
# <dh-update-R>do not delete this</dh-update-R>
         libjs-underscore
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Embedded JavaScript Engine for R
 An R interface to Google's open source JavaScript engine.
 V8 is written in C++ and implements ECMAScript as specified in ECMA-262,
 5th edition. In addition, this package implements typed arrays as
 specified in ECMA 6 used for high-performance computing and libraries
 compiled with 'emscripten'.

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/V8_([-\d.]*)\.tar\.gz

## r-cran-v8 2.3+dfsg

=== DESCRIPTION ===
Package: V8
Type: Package
Title: Embedded JavaScript Engine for R
Version: 2.3
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
    comment = c(ORCID = "0000-0002-4035-0289"))
Description: An R interface to Google's open source JavaScript engine. This 
    package can now be compiled either with V8 version 6 or 7 (LTS) from 
    nodejs or with the legacy 3.14/3.15 branch of V8.
License: MIT + file LICENSE
URL: https://github.com/jeroen/v8 (devel) https://v8.dev (upstream)
BugReports: https://github.com/jeroen/v8/issues
SystemRequirements: V8 version 6 or 7 is recommended, but 3.14 (legacy)
        is still supported as well. On Debian / Ubuntu you need either
        libv8-dev or libnode-dev, on Fedora use v8-devel.
NeedsCompilation: yes
VignetteBuilder: knitr
Imports: Rcpp (>= 0.12.12), jsonlite (>= 1.0), curl (>= 1.0), utils
LinkingTo: Rcpp
Suggests: testthat, knitr, rmarkdown
RoxygenNote: 6.1.1
Language: en-US
Packaged: 2019-07-02 09:56:44 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2019-07-02 10:51:07 UTC

=== debian/changelog ===
r-cran-v8 (2.3+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Fix description (thanks for the hint to Jeroen Ooms
    <jeroen@berkeley.edu>)

  [ Dylan Aïssi ]
  * New upstream version
  * Standards-Version: 4.4.0

 -- Dylan Aïssi <daissi@debian.org>  Thu, 18 Jul 2019 21:14:49 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-jsonlite,
                r-cran-curl,
                libnode-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-v8
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-v8.git
 Homepage: https://cran.r-project.org/package=V8
@@ -26,8 +26,6 @@
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: Embedded JavaScript Engine for R
- An R interface to Google's open source JavaScript engine.
- V8 is written in C++ and implements ECMAScript as specified in ECMA-262,
- 5th edition. In addition, this package implements typed arrays as
- specified in ECMA 6 used for high-performance computing and libraries
- compiled with 'emscripten'.
+ An R interface to Google's open source JavaScript engine. This
+ package can now be compiled either with V8 version 6 or 7 (LTS) from
+ nodejs or with the legacy 3.14/3.15 branch of V8.

## r-cran-v8 3.0.1+dfsg

=== debian/changelog ===
r-cran-v8 (3.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jan 2020 21:23:32 +0100

r-cran-v8 (3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Sat, 11 Jan 2020 08:30:40 +0100

=== debian/control ===
Source: r-cran-v8
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.12.12),
               r-cran-jsonlite,
               r-cran-curl,
               libnode-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-v8
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-v8.git
Homepage: https://cran.r-project.org/package=V8

Package: r-cran-v8
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
# <dh-update-R>do not delete this</dh-update-R>
         libjs-underscore
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Embedded JavaScript and WebAssembly Engine for R
 An R interface to V8: Google's open source JavaScript and WebAssembly
 engine. This package can be compiled either with V8 version 6 and up,
 a NodeJS shared library, or the legacy 3.14/3.15 branch of V8.

## r-cran-v8 3.2.0+dfsg

=== DESCRIPTION ===
Package: V8
Type: Package
Title: Embedded JavaScript and WebAssembly Engine for R
Version: 3.2.0
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
    comment = c(ORCID = "0000-0002-4035-0289"))
Description: An R interface to V8: Google's open source JavaScript and WebAssembly 
    engine. This package can be compiled either with V8 version 6 and up, a NodeJS
    shared library, or the legacy 3.14/3.15 branch of V8.
License: MIT + file LICENSE
URL: https://jeroen.cran.dev/V8 (docs) https://github.com/jeroen/v8
        (devel) https://v8.dev (upstream)
BugReports: https://github.com/jeroen/v8/issues
SystemRequirements: V8 engine version 6+ is needed for modern JS and
        WASM support. On Debian / Ubuntu install either libv8-dev or
        libnode-dev, on Fedora use v8-devel. The readme has
        instructions for installing backports on Ubuntu Xenial and
        Bionic. It is still possible to build this package against the
        legacy libv8 version 3.14 branch, but these engines only
        support traditional JavaScript (ES5).
NeedsCompilation: yes
VignetteBuilder: knitr
Imports: Rcpp (>= 0.12.12), jsonlite (>= 1.0), curl (>= 1.0), utils
LinkingTo: Rcpp
Suggests: testthat, knitr, rmarkdown
RoxygenNote: 7.0.2
Language: en-US
Encoding: UTF-8
Packaged: 2020-06-18 09:17:29 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2020-06-19 06:00:02 UTC

=== debian/changelog ===
r-cran-v8 (3.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 30 Jun 2020 10:18:56 +0200

r-cran-v8 (3.1.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upstream patch fix pointer compression test with node 12
    Closes: #962824.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 14 Jun 2020 21:31:12 +0200

r-cran-v8 (3.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 03 Jun 2020 08:57:25 +0200

r-cran-v8 (3.0.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Mar 2020 12:03:25 +0100

## r-cran-v8 3.4.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Package: V8
 Type: Package
 Title: Embedded JavaScript and WebAssembly Engine for R
-Version: 3.2.0
+Version: 3.4.0
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289"))
 Description: An R interface to V8: Google's open source JavaScript and WebAssembly 
     engine. This package can be compiled either with V8 version 6 and up, a NodeJS
     shared library, or the legacy 3.14/3.15 branch of V8.
 License: MIT + file LICENSE
-URL: https://jeroen.cran.dev/V8 (docs) https://github.com/jeroen/v8
-        (devel) https://v8.dev (upstream)
+URL: https://github.com/jeroen/v8 (devel) https://v8.dev (upstream)
 BugReports: https://github.com/jeroen/v8/issues
 SystemRequirements: V8 engine version 6+ is needed for modern JS and
         WASM support. On Debian / Ubuntu install either libv8-dev or
@@ -23,11 +22,11 @@
 Imports: Rcpp (>= 0.12.12), jsonlite (>= 1.0), curl (>= 1.0), utils
 LinkingTo: Rcpp
 Suggests: testthat, knitr, rmarkdown
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.1
 Language: en-US
 Encoding: UTF-8
-Packaged: 2020-06-18 09:17:29 UTC; jeroen
+Packaged: 2020-11-04 12:24:13 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2020-06-19 06:00:02 UTC
+Date/Publication: 2020-11-04 13:10:02 UTC

=== debian/changelog ===
r-cran-v8 (3.4.0+dfsg-1+deb11u1) bullseye-security; urgency=medium

  * Team upload by LTS team
  * Rebuild due to CVE-2025-47153

 -- Bastien Roucariès <rouca@debian.org>  Fri, 02 May 2025 00:00:38 +0200

r-cran-v8 (3.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 09 Nov 2020 12:50:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 0.12.12),
@@ -15,6 +15,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-v8
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-v8.git
 Homepage: https://cran.r-project.org/package=V8
+Rules-Requires-Root: no
 
 Package: r-cran-v8
 Architecture: any

## r-cran-v8 4.1.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.12.12),
+               r-cran-rcpp,
                r-cran-jsonlite,
                r-cran-curl,
                libnode-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-v8
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-v8.git
 Homepage: https://cran.r-project.org/package=V8
@@ -22,7 +22,6 @@
 Depends: ${R:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-# <dh-update-R>do not delete this</dh-update-R>
          libjs-underscore
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-v8 4.1.0+dfsg

=== DESCRIPTION ===
Package: V8
Type: Package
Title: Embedded JavaScript and WebAssembly Engine for R
Version: 4.1.0
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
    comment = c(ORCID = "0000-0002-4035-0289"))
Description: An R interface to V8: Google's open source JavaScript and WebAssembly 
    engine. This package can be compiled either with V8 version 6 and up or NodeJS
    when built as a shared library.
License: MIT + file LICENSE
URL: https://github.com/jeroen/v8 (devel) https://v8.dev (upstream)
BugReports: https://github.com/jeroen/v8/issues
SystemRequirements: V8 engine version 6+ is needed for ES6 and WASM
        support. On Linux you can build against libv8-dev (Debian) or
        v8-devel (Fedora). We also provide static libv8 binaries for
        most platforms, see the README for details.
NeedsCompilation: yes
VignetteBuilder: knitr
Imports: Rcpp (>= 0.12.12), jsonlite (>= 1.0), curl (>= 1.0), utils
LinkingTo: Rcpp
Suggests: testthat, knitr, rmarkdown
RoxygenNote: 7.1.2
Language: en-US
Encoding: UTF-8
Packaged: 2022-02-06 22:38:13 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2022-02-06 23:10:02 UTC

=== debian/changelog ===
r-cran-v8 (4.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Find uncompressed JS libs and provide compressed versions by
    rebuilding these
  * Fix lintian-overrides

 -- Andreas Tille <tille@debian.org>  Wed, 16 Feb 2022 10:45:42 +0100

r-cran-v8 (3.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 Aug 2021 13:51:20 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	mkdir -p $(debRlib)/$(cranNameOrig)/js/
	cp -a debian/missing-sources/crossfilter.js/crossfilter.min.js $(debRlib)/$(cranNameOrig)/js/crossfilter.js
	cp -a debian/missing-sources/wasm-feature-detect.js/wasm-feature-detect.min.js $(debRlib)/$(cranNameOrig)/js/wasm-feature-detect.js

## r-cran-v8 4.2.1+dfsg

=== debian/changelog ===
r-cran-v8 (4.2.1+dfsg-1build1) kinetic; urgency=medium

  * Rebuild against new libnode108.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Aug 2022 18:31:15 +0200

r-cran-v8 (4.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Upstream has applied patch
  * Build-Depends: libnode-dev
  * Fix lintian-overrides

 -- Andreas Tille <tille@debian.org>  Thu, 11 Aug 2022 16:19:43 +0200

r-cran-v8 (4.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Depend on libv8-dev since libnode-dev provides it
  * Patch: fix pointer compression detection (Closes: #1013984)

 -- Jérémy Lal <kapouer@melix.org>  Sun, 17 Jul 2022 17:49:15 +0200

r-cran-v8 (4.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 24 May 2022 11:25:24 +0200

## r-cran-v8 4.2.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Package: V8
 Type: Package
 Title: Embedded JavaScript and WebAssembly Engine for R
-Version: 4.1.0
-Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
-    comment = c(ORCID = "0000-0002-4035-0289"))
+Version: 4.2.2
+Authors@R: c(
+    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
+      comment = c(ORCID = "0000-0002-4035-0289")),
+    person("Jan Marvin", "Garbuszus", role = "ctb"))
 Description: An R interface to V8: Google's open source JavaScript and WebAssembly 
     engine. This package can be compiled either with V8 version 6 and up or NodeJS
     when built as a shared library.
@@ -19,11 +21,12 @@
 Imports: Rcpp (>= 0.12.12), jsonlite (>= 1.0), curl (>= 1.0), utils
 LinkingTo: Rcpp
 Suggests: testthat, knitr, rmarkdown
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 Language: en-US
 Encoding: UTF-8
-Packaged: 2022-02-06 22:38:13 UTC; jeroen
-Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
+Packaged: 2022-11-03 12:45:51 UTC; jeroen
+Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
+  Jan Marvin Garbuszus [ctb]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2022-02-06 23:10:02 UTC
+Date/Publication: 2022-11-03 22:10:02 UTC

=== debian/changelog ===
r-cran-v8 (4.2.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 15 Nov 2022 19:39:16 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-jsonlite,
                r-cran-curl,
                libnode-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-v8
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-v8.git
 Homepage: https://cran.r-project.org/package=V8

## r-cran-v8 4.3.3+dfsg

=== debian/changelog ===
r-cran-v8 (4.3.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 17:26:16 +0200

r-cran-v8 (4.3.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 04 Jul 2023 09:07:03 +0200

r-cran-v8 (4.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 14:58:21 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-jsonlite,
                r-cran-curl,
                libnode-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-v8
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-v8.git
 Homepage: https://cran.r-project.org/package=V8

## r-cran-v8 4.4.1+dfsg

=== DESCRIPTION ===
Package: V8
Type: Package
Title: Embedded JavaScript and WebAssembly Engine for R
Version: 4.4.1
Authors@R: c(
    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
      comment = c(ORCID = "0000-0002-4035-0289")),
    person("Jan Marvin", "Garbuszus", role = "ctb"))
Description: An R interface to V8 <https://v8.dev>: Google's open source JavaScript
    and WebAssembly engine. This package can be compiled either with V8 version 6 
    and up or NodeJS when built as a shared library.
License: MIT + file LICENSE
URL: https://jeroen.r-universe.dev/V8
BugReports: https://github.com/jeroen/v8/issues
SystemRequirements: V8 engine version 6+ is needed for ES6 and WASM
        support. On Linux you can build against libv8-dev (Debian) or
        v8-devel (Fedora). We also provide static libv8 binaries for
        most platforms, see the README for details.
NeedsCompilation: yes
VignetteBuilder: knitr
Imports: Rcpp (>= 0.12.12), jsonlite (>= 1.0), curl (>= 1.0), utils
LinkingTo: Rcpp
Suggests: testthat, knitr, rmarkdown
RoxygenNote: 7.2.3
Language: en-US
Encoding: UTF-8
Biarch: true
Packaged: 2023-12-04 12:46:09 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Jan Marvin Garbuszus [ctb]
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2023-12-04 13:30:02 UTC

=== debian/changelog ===
r-cran-v8 (4.4.1+dfsg-1build1) noble; urgency=high

  * No change rebuild against libnode109.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 11 Apr 2024 11:35:44 +0200

r-cran-v8 (4.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2023 10:12:23 +0100

r-cran-v8 (4.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 16 Oct 2023 16:47:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-v8
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r

## r-cran-v8 4.4.2+dfsg

=== debian/changelog ===
r-cran-v8 (4.4.2+dfsg-1build1) oracular; urgency=medium

  * Rebuild against new libnode115.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 May 2024 07:14:28 +0200

r-cran-v8 (4.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Drop unused lintian-overrides

 -- Andreas Tille <tille@debian.org>  Fri, 10 May 2024 21:53:41 +0200

## r-cran-v8 6.0.0+dfsg

=== debian/changelog ===
r-cran-v8 (6.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 17 Oct 2024 08:56:20 +0900

r-cran-v8 (5.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Oct 2024 15:36:35 +0900

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: r-cran-v8
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -12,7 +11,7 @@
                r-cran-jsonlite,
                r-cran-curl,
                libnode-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-v8
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-v8.git
 Homepage: https://cran.r-project.org/package=V8

## r-cran-v8 6.0.1+dfsg

=== debian/changelog ===
r-cran-v8 (6.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 07 Feb 2025 08:35:50 +0900

## r-cran-v8 6.0.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: V8
 Type: Package
 Title: Embedded JavaScript and WebAssembly Engine for R
-Version: 4.4.1
+Version: 6.0.2
 Authors@R: c(
-    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
+    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com",
       comment = c(ORCID = "0000-0002-4035-0289")),
     person("Jan Marvin", "Garbuszus", role = "ctb"))
 Description: An R interface to V8 <https://v8.dev>: Google's open source JavaScript
@@ -21,13 +21,13 @@
 Imports: Rcpp (>= 0.12.12), jsonlite (>= 1.0), curl (>= 1.0), utils
 LinkingTo: Rcpp
 Suggests: testthat, knitr, rmarkdown
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 Language: en-US
 Encoding: UTF-8
 Biarch: true
-Packaged: 2023-12-04 12:46:09 UTC; jeroen
+Packaged: 2025-03-14 22:29:12 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Jan Marvin Garbuszus [ctb]
-Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
+Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-12-04 13:30:02 UTC
+Date/Publication: 2025-03-14 23:50:02 UTC

=== debian/changelog ===
r-cran-v8 (6.0.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 17 Mar 2025 09:35:19 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-jsonlite,
                r-cran-curl,
                libnode-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-v8
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-v8.git
 Homepage: https://cran.r-project.org/package=V8

## r-cran-v8 7.0.0+dfsg

=== DESCRIPTION ===
Package: V8
Type: Package
Title: Embedded JavaScript and WebAssembly Engine for R
Version: 7.0.0
Authors@R: c(
    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com",
      comment = c(ORCID = "0000-0002-4035-0289")),
    person("Jan Marvin", "Garbuszus", role = "ctb"))
Description: An R interface to V8 <https://v8.dev>: Google's open source JavaScript
    and WebAssembly engine. This package can be compiled either with V8 version 6 
    and up or NodeJS when built as a shared library.
License: MIT + file LICENSE
URL: https://jeroen.r-universe.dev/V8
BugReports: https://github.com/jeroen/v8/issues
SystemRequirements: On Linux you can build against libv8-dev (Debian)
        or v8-devel (Fedora). We also provide static libv8 binaries for
        most platforms, see the README for details.
NeedsCompilation: yes
VignetteBuilder: knitr
Imports: Rcpp (>= 0.12.12), jsonlite (>= 1.0), curl (>= 1.0), utils
LinkingTo: Rcpp
Suggests: testthat, knitr, rmarkdown
RoxygenNote: 7.3.1
Language: en-US
Encoding: UTF-8
Biarch: true
Packaged: 2025-09-01 17:59:20 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (ORCID: <https://orcid.org/0000-0002-4035-0289>),
  Jan Marvin Garbuszus [ctb]
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2025-09-01 19:40:02 UTC

=== debian/changelog ===
r-cran-v8 (7.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 02 Sep 2025 09:49:12 +0900

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-knitr,
        r-cran-rmarkdown
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack" \
https://cloud.r-project.org/src/contrib/V8_([-\d.]*)\.tar\.gz
